@echo off
cls

rem ****************************************************************************
rem * The following parameters keep information: was the corresponding parameter 
rem * already read. For example SET_VERSION has corresponding parameter VERSION,
rem * and 'off' value of parameter SET_VERSION means that VERSION is not read
rem * yet.
rem ****************************************************************************
SET SET_JDKHOME=off

rem ****************************************************************************
rem * Value for JDKHOME environment variable, with Java Home directory, can be
rem * obtained by reading jdk.dir parameter from build.properties file if it   
rem * is available. Also, it can be given by user via "jdkhome" command line 
rem * parameter. Otherwise, the warning dialog will be generated.
rem ****************************************************************************

rem ****************************************************************************
rem *            Default values
rem ****************************************************************************
SET JDKHOME=

call .\util\make\readregistry.exe
if errorlevel==1 goto end
for /F %%a in (instdir.txt) do SET JDKHOME=%%a
del instdir.txt>nul


if exist build.properties goto init

:start
if X%SYSTEMROOT% == X goto errorsystemroot
if X%1==X goto make
if %1==-jdkhome goto jdkhome
if %1==-help goto help
goto error


rem ****************************************************************************
rem *                 Initialisation from build.properties file
rem ****************************************************************************
:init
find "jdk.dir" < build.properties > javadir.txt
for /F "tokens=1,2* delims==" %%i in (javadir.txt) do SET JDKHOME=%%j
del javadir.txt>nul
goto start


rem ****************************************************************************
rem Creating of build.properties file
rem ****************************************************************************

:make
if exist build.properties del build.properties
echo jdk.dir=%JDKHOME%>build.properties
goto startConfigure 


:errorsystemroot
echo.
echo ********** Enviroment variable SYSTEMROOT does not exist! 
echo.
echo Set variable SYSTEMROOT to system root of your Windows installation ...
echo. 
pause
goto end

:error
echo.
echo ********** Invalid parameters value! 
echo.
echo To find out allowable options type:     make help
echo.
goto end


rem ****************************************************************************
rem Displaying of help to the screen
rem ****************************************************************************

:help
echo.
echo Usage:
echo          configure [-option value] [-option1 value1]...
echo.
echo Options:
echo         -jdkhome               JDK home directory
echo         -help                  print this screen
echo.
echo Note: 
echo         If no options is set, the default values will be used
echo.
echo Example:
echo         configure -jdkhome C:\j2sdk1.4.0
echo.
goto end 


rem ****************************************************************************
rem Reading of command line parameters 
rem ****************************************************************************

:jdkhome
if %SET_JDKHOME%==on goto error
shift
if "X%1"=="X" goto error
SET JDKHOME=%1
SET SET_JDKHOME=on
shift
if "X%1"=="X" goto make
if %1==-help goto error
goto error



rem ****************************************************************************
rem Configuration start 
rem ****************************************************************************

:startConfigure

set OLDCLASSPATH=%CLASSPATH%
set CLASSPATH=%CLASSPATH%;.\util\build\ant.jar
set CLASSPATH=%CLASSPATH%;.\lib-ext\xercesImpl.jar
set CLASSPATH=%CLASSPATH%;.\util\build\optional.jar
set CLASSPATH=%CLASSPATH%;.\util\build\antcontrib.jar

java org.apache.tools.ant.Main config

set CLASSPATH=%OLDCLASSPATH%
set OLDCLASSPATH=


:end
